## gate.security
Interface User

All Known Implementing Classes:
  UserImpl

public interface User

Field Summary
`static int` `OBJECT_CHANGE_NAME` subtype for ObjectModificationEvent of type OBJECT_MODIFIED

Method Summary
`List` `getGroups()` returns a list with the groups that the user is member of
`Long` `getID()` returns the ID of the user user IDs are uniques in the same data store
`String` `getName()` returns the name of the user user names are unique in the same data store
`void` `setName(String newName, Session s)` changes user name Only members of the ADMIN group have sufficient privileges.
`void` `setPassword(String newPass, Session s)` changes user password Only members of the ADMIN group and the user himself have sufficient privileges

Field Detail

### OBJECT_CHANGE_NAME

    public static final int OBJECT_CHANGE_NAME

  subtype for ObjectModificationEvent of type OBJECT_MODIFIED
  See Also:
    `the event is sent when the name of the user is changed`

Method Detail

### getID

    public Long getID()

  returns the ID of the user user IDs are uniques in the same data store

### getName

    public String getName()

  returns the name of the user user names are unique in the same data store

### getGroups

    public List getGroups()

  returns a list with the groups that the user is member of

### setName

    public void setName(String newName,
                        Session s)
                 throws PersistenceException,
                        SecurityException

  changes user name Only members of the ADMIN group have sufficient privileges. fires ObjectModificationEvent

### setPassword

    public void setPassword(String newPass,
                            Session s)
                     throws PersistenceException,
                            SecurityException

  changes user password Only members of the ADMIN group and the user himself have sufficient privileges